com.threerings.micasa.server

## Class MiCasaSession

- java.lang.Object
- - com.threerings.presents.server.PresentsSession
  - - com.threerings.crowd.server.CrowdSession
    - - com.threerings.micasa.server.MiCasaSession

All Implemented Interfaces:
  com.threerings.presents.server.ClientResolutionListener, com.threerings.presents.server.net.PresentsConnection.MessageHandler

    public class MiCasaSession
    extends com.threerings.crowd.server.CrowdSession

Extends the Crowd session and provides bootstrap data specific to the MiCasa services.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.threerings.presents.server.PresentsSession

`com.threerings.presents.server.PresentsSession.UserChangeListener`

### Constructor Summary

Constructors
Constructor and Description
`MiCasaSession()`

### Method Summary

### Methods inherited from class com.threerings.presents.server.PresentsSession

`checkExpired, clientResolved, endSession, getAuthName, getClientObject, getCredentials, getInetAddress, getNetworkStamp, getSecret, getSessionStamp, getTimeZone, getTransmitDatagrams, handleMessage, resolutionFailed, setClassLoader, setIncomingMessageThrottle, setUsername, shutdown, toString, updateUsername`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MiCasaSession

    public MiCasaSession()